Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Flutter SDK is no longer located from packages when .dart_tool/package_config.json is used #2774

Closed
voiddog opened this issue Sep 7, 2020 · 13 comments
Labels
in flutter Relates to running Flutter apps is bug
Milestone

Comments

@voiddog
Copy link

voiddog commented Sep 7, 2020

I often use flutter version manager to switch between different versions.

In the past, I only need to reload window in vscode. After the latest update, I found that it will always read my default flutter instead of the current pub get flutter.

@DanTup
Copy link
Member

DanTup commented Sep 7, 2020

Can open a project when this happens, then running the Dart: Open Extension Log command from the VS Code command palette and attaching the output here? Thanks!

@voiddog
Copy link
Author

voiddog commented Sep 7, 2020

!! PLEASE REVIEW THIS LOG FOR SENSITIVE INFORMATION BEFORE SHARING !!

Dart Code extension: 3.14.0
Flutter extension: 3.14.0 (not activated)

App: Visual Studio Code
Version: 1.48.2
Platform: mac

HTTP_PROXY: undefined
NO_PROXY: undefined

Mon Sep 07 2020 [15:19:39 GMT+0800 (China Standard Time)] Log file started
[3:19:39 PM] [General] [Info] Searching for SDKs...
[3:19:39 PM] [General] [Info] Environment PATH:
[3:19:39 PM] [General] [Info] /Users/qigengxin/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/.pyenv/shims
[3:19:39 PM] [General] [Info] /Library/Java/JavaVirtualMachines/jdk1.8.0_202.jdk/Contents/Home/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/Library/Android/sdk/platform-tools
[3:19:39 PM] [General] [Info] /Users/qigengxin/flutter/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/.pub-cache/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/.cargo/bin
[3:19:39 PM] [General] [Info] /usr/local/bin
[3:19:39 PM] [General] [Info] /usr/bin
[3:19:39 PM] [General] [Info] /bin
[3:19:39 PM] [General] [Info] /usr/sbin
[3:19:39 PM] [General] [Info] /sbin
[3:19:39 PM] [General] [Info] /Library/Apple/usr/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/Develop/Github/depot_tools
[3:19:39 PM] [General] [Info] Found Flutter project at /Users/qigengxin/Develop/flutter/app_112:
Mobile? true
Web? false
Create Trigger? false
Flutter Repo? false
[3:19:39 PM] [General] [Info] Searching for flutter
[3:19:39 PM] [General] [Info] Looking for flutter in:
[3:19:39 PM] [General] [Info] /Users/qigengxin/Develop/flutter/app_112
[3:19:39 PM] [General] [Info] /Users/qigengxin/Develop/flutter/app_112/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/packages/flutter/lib/bin/
[3:19:39 PM] [General] [Info] /Users/qigengxin/Develop/flutter/app_112/.flutter
[3:19:39 PM] [General] [Info] /Users/qigengxin/Develop/flutter/app_112/.flutter/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/Develop/flutter/app_112/vendor/flutter
[3:19:39 PM] [General] [Info] /Users/qigengxin/Develop/flutter/app_112/vendor/flutter/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/.pyenv/shims
[3:19:39 PM] [General] [Info] /Users/qigengxin/.pyenv/shims/bin
[3:19:39 PM] [General] [Info] /Library/Java/JavaVirtualMachines/jdk1.8.0_202.jdk/Contents/Home/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/Library/Android/sdk/platform-tools
[3:19:39 PM] [General] [Info] /Users/qigengxin/Library/Android/sdk/platform-tools/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/flutter/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/.pub-cache/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/.cargo/bin
[3:19:39 PM] [General] [Info] /usr/local/bin
[3:19:39 PM] [General] [Info] /usr/bin
[3:19:39 PM] [General] [Info] /bin
[3:19:39 PM] [General] [Info] /usr/sbin
[3:19:39 PM] [General] [Info] /sbin
[3:19:39 PM] [General] [Info] /Library/Apple/usr/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/Develop/Github/depot_tools
[3:19:39 PM] [General] [Info] /Users/qigengxin/Develop/Github/depot_tools/bin
[3:19:39 PM] [General] [Info] Found at:
[3:19:39 PM] [General] [Info] /Users/qigengxin/flutter/bin
[3:19:39 PM] [General] [Info] Candidate paths to be post-filtered:
[3:19:39 PM] [General] [Info] /Users/qigengxin/flutter
[3:19:39 PM] [General] [Info] Found at /Users/qigengxin/flutter
[3:19:39 PM] [General] [Info] Returning SDK path /Users/qigengxin/flutter for flutter
[3:19:39 PM] [General] [Info] Searching for dart
[3:19:39 PM] [General] [Info] Looking for dart in:
[3:19:39 PM] [General] [Info] /Users/qigengxin/flutter/bin/cache/dart-sdk
[3:19:39 PM] [General] [Info] /Users/qigengxin/flutter/bin/cache/dart-sdk/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/.pyenv/shims
[3:19:39 PM] [General] [Info] /Users/qigengxin/.pyenv/shims/bin
[3:19:39 PM] [General] [Info] /Library/Java/JavaVirtualMachines/jdk1.8.0_202.jdk/Contents/Home/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/Library/Android/sdk/platform-tools
[3:19:39 PM] [General] [Info] /Users/qigengxin/Library/Android/sdk/platform-tools/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/flutter/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/.pub-cache/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/.cargo/bin
[3:19:39 PM] [General] [Info] /usr/local/bin
[3:19:39 PM] [General] [Info] /usr/bin
[3:19:39 PM] [General] [Info] /bin
[3:19:39 PM] [General] [Info] /usr/sbin
[3:19:39 PM] [General] [Info] /sbin
[3:19:39 PM] [General] [Info] /Library/Apple/usr/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/Develop/Github/depot_tools
[3:19:39 PM] [General] [Info] /Users/qigengxin/Develop/Github/depot_tools/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/flutter/bin/cache/dart-sdk
[3:19:39 PM] [General] [Info] /Users/qigengxin/flutter/bin/cache/dart-sdk/bin
[3:19:39 PM] [General] [Info] Found at:
[3:19:39 PM] [General] [Info] /Users/qigengxin/flutter/bin/cache/dart-sdk/bin
[3:19:39 PM] [General] [Info] /usr/local/bin
[3:19:39 PM] [General] [Info] /Users/qigengxin/flutter/bin/cache/dart-sdk/bin
[3:19:39 PM] [General] [Info] Following symlink: /usr/local/bin/dart ==> /usr/local/Cellar/dart/2.9.0/libexec/bin/dart
[3:19:39 PM] [General] [Info] Candidate paths to be post-filtered:
[3:19:39 PM] [General] [Info] /Users/qigengxin/flutter/bin/cache/dart-sdk
[3:19:39 PM] [General] [Info] /usr/local/Cellar/dart/2.9.0/libexec
[3:19:39 PM] [General] [Info] /Users/qigengxin/flutter/bin/cache/dart-sdk
[3:19:39 PM] [General] [Info] Found at /Users/qigengxin/flutter/bin/cache/dart-sdk
[3:19:39 PM] [General] [Info] Returning SDK path /Users/qigengxin/flutter/bin/cache/dart-sdk for dart
[3:19:39 PM] [General] [Info] !! PLEASE REVIEW THIS LOG FOR SENSITIVE INFORMATION BEFORE SHARING !!

Dart Code extension: 3.14.0
Flutter extension: 3.14.0 (not activated)

App: Visual Studio Code
Version: 1.48.2
Platform: mac

Workspace type: Flutter
Analyzer type: DAS
Multi-root?: false

Dart SDK:
Loc: /Users/qigengxin/flutter/bin/cache/dart-sdk
Ver: 2.8.4
Flutter SDK:
Loc: /Users/qigengxin/flutter
Ver: 1.17.5+k5

HTTP_PROXY: undefined
NO_PROXY: undefined
[3:19:39 PM] [General] [Info] Activating Flutter extension for Flutter project...
[3:19:39 PM] [General] [Info] Extension:Startup timing: 184ms
[3:19:39 PM] [General] [Info] !! PLEASE REVIEW THIS LOG FOR SENSITIVE INFORMATION BEFORE SHARING !!

Dart Code extension: 3.14.0
Flutter extension: 3.14.0 (activated)

App: Visual Studio Code
Version: 1.48.2
Platform: mac

Workspace type: Flutter
Analyzer type: DAS
Multi-root?: false

Dart SDK:
Loc: /Users/qigengxin/flutter/bin/cache/dart-sdk
Ver: 2.8.4
Flutter SDK:
Loc: /Users/qigengxin/flutter
Ver: 1.17.5+k5

HTTP_PROXY: undefined
NO_PROXY: undefined
[3:19:39 PM] [General] [Info] Found 0 folders requiring "pub get":
[3:19:39 PM] [General] [Info] Analyzer:Startup timing: 446ms
[3:19:43 PM] [General] [Info] Analyzer:FirstAnalysis timing: 3082ms
[3:19:44 PM] [General] [Info] Checking 1 projects for supported platforms
[3:19:44 PM] [General] [Info] Supported platforms for the workspace are ios, android, web

@voiddog
Copy link
Author

voiddog commented Sep 7, 2020

When I delete the .dart_tool in the project and reload window,it works.

@voiddog
Copy link
Author

voiddog commented Sep 7, 2020

Here is the log when I remove the .dart_tool in the project.
!! PLEASE REVIEW THIS LOG FOR SENSITIVE INFORMATION BEFORE SHARING !!

Dart Code extension: 3.14.0
Flutter extension: 3.14.0 (not activated)

App: Visual Studio Code
Version: 1.48.2
Platform: mac

HTTP_PROXY: undefined
NO_PROXY: undefined

Mon Sep 07 2020 [15:24:13 GMT+0800 (China Standard Time)] Log file started
[3:24:13 PM] [General] [Info] Searching for SDKs...
[3:24:13 PM] [General] [Info] Environment PATH:
[3:24:13 PM] [General] [Info] /Users/qigengxin/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/.pyenv/shims
[3:24:13 PM] [General] [Info] /Library/Java/JavaVirtualMachines/jdk1.8.0_202.jdk/Contents/Home/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/Library/Android/sdk/platform-tools
[3:24:13 PM] [General] [Info] /Users/qigengxin/flutter/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/.pub-cache/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/.cargo/bin
[3:24:13 PM] [General] [Info] /usr/local/bin
[3:24:13 PM] [General] [Info] /usr/bin
[3:24:13 PM] [General] [Info] /bin
[3:24:13 PM] [General] [Info] /usr/sbin
[3:24:13 PM] [General] [Info] /sbin
[3:24:13 PM] [General] [Info] /Library/Apple/usr/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/Develop/Github/depot_tools
[3:24:13 PM] [General] [Info] Found Flutter project at /Users/qigengxin/Develop/flutter/app_112:
Mobile? true
Web? false
Create Trigger? false
Flutter Repo? false
[3:24:13 PM] [General] [Info] Searching for flutter
[3:24:13 PM] [General] [Info] Looking for flutter in:
[3:24:13 PM] [General] [Info] /Users/qigengxin/Develop/flutter/app_112
[3:24:13 PM] [General] [Info] /Users/qigengxin/Develop/flutter/app_112/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/bin/
[3:24:13 PM] [General] [Info] /Users/qigengxin/Develop/flutter/app_112/.flutter
[3:24:13 PM] [General] [Info] /Users/qigengxin/Develop/flutter/app_112/.flutter/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/Develop/flutter/app_112/vendor/flutter
[3:24:13 PM] [General] [Info] /Users/qigengxin/Develop/flutter/app_112/vendor/flutter/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/.pyenv/shims
[3:24:13 PM] [General] [Info] /Users/qigengxin/.pyenv/shims/bin
[3:24:13 PM] [General] [Info] /Library/Java/JavaVirtualMachines/jdk1.8.0_202.jdk/Contents/Home/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/Library/Android/sdk/platform-tools
[3:24:13 PM] [General] [Info] /Users/qigengxin/Library/Android/sdk/platform-tools/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/flutter/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/.pub-cache/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/.cargo/bin
[3:24:13 PM] [General] [Info] /usr/local/bin
[3:24:13 PM] [General] [Info] /usr/bin
[3:24:13 PM] [General] [Info] /bin
[3:24:13 PM] [General] [Info] /usr/sbin
[3:24:13 PM] [General] [Info] /sbin
[3:24:13 PM] [General] [Info] /Library/Apple/usr/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/Develop/Github/depot_tools
[3:24:13 PM] [General] [Info] /Users/qigengxin/Develop/Github/depot_tools/bin
[3:24:13 PM] [General] [Info] Found at:
[3:24:13 PM] [General] [Info] /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/bin/
[3:24:13 PM] [General] [Info] /Users/qigengxin/flutter/bin
[3:24:13 PM] [General] [Info] Candidate paths to be post-filtered:
[3:24:13 PM] [General] [Info] /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9
[3:24:13 PM] [General] [Info] /Users/qigengxin/flutter
[3:24:13 PM] [General] [Info] Found at /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9
[3:24:13 PM] [General] [Info] Returning SDK path /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9 for flutter
[3:24:13 PM] [General] [Info] Searching for dart
[3:24:13 PM] [General] [Info] Looking for dart in:
[3:24:13 PM] [General] [Info] /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/bin/cache/dart-sdk
[3:24:13 PM] [General] [Info] /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/bin/cache/dart-sdk/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/.pyenv/shims
[3:24:13 PM] [General] [Info] /Users/qigengxin/.pyenv/shims/bin
[3:24:13 PM] [General] [Info] /Library/Java/JavaVirtualMachines/jdk1.8.0_202.jdk/Contents/Home/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/Library/Android/sdk/platform-tools
[3:24:13 PM] [General] [Info] /Users/qigengxin/Library/Android/sdk/platform-tools/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/flutter/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/.pub-cache/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/.cargo/bin
[3:24:13 PM] [General] [Info] /usr/local/bin
[3:24:13 PM] [General] [Info] /usr/bin
[3:24:13 PM] [General] [Info] /bin
[3:24:13 PM] [General] [Info] /usr/sbin
[3:24:13 PM] [General] [Info] /sbin
[3:24:13 PM] [General] [Info] /Library/Apple/usr/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/Develop/Github/depot_tools
[3:24:13 PM] [General] [Info] /Users/qigengxin/Develop/Github/depot_tools/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/bin/cache/dart-sdk
[3:24:13 PM] [General] [Info] /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/bin/cache/dart-sdk/bin
[3:24:13 PM] [General] [Info] Found at:
[3:24:13 PM] [General] [Info] /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/bin/cache/dart-sdk/bin
[3:24:13 PM] [General] [Info] /usr/local/bin
[3:24:13 PM] [General] [Info] /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/bin/cache/dart-sdk/bin
[3:24:13 PM] [General] [Info] Following symlink: /usr/local/bin/dart ==> /usr/local/Cellar/dart/2.9.0/libexec/bin/dart
[3:24:13 PM] [General] [Info] Candidate paths to be post-filtered:
[3:24:13 PM] [General] [Info] /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/bin/cache/dart-sdk
[3:24:13 PM] [General] [Info] /usr/local/Cellar/dart/2.9.0/libexec
[3:24:13 PM] [General] [Info] /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/bin/cache/dart-sdk
[3:24:13 PM] [General] [Info] Found at /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/bin/cache/dart-sdk
[3:24:13 PM] [General] [Info] Returning SDK path /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/bin/cache/dart-sdk for dart
[3:24:13 PM] [General] [Info] !! PLEASE REVIEW THIS LOG FOR SENSITIVE INFORMATION BEFORE SHARING !!

Dart Code extension: 3.14.0
Flutter extension: 3.14.0 (not activated)

App: Visual Studio Code
Version: 1.48.2
Platform: mac

Workspace type: Flutter
Analyzer type: DAS
Multi-root?: false

Dart SDK:
Loc: /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/bin/cache/dart-sdk
Ver: 2.7.2
Flutter SDK:
Loc: /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9
Ver: 1.12.13+hotfix.9

HTTP_PROXY: undefined
NO_PROXY: undefined
[3:24:13 PM] [General] [Info] Activating Flutter extension for Flutter project...
[3:24:13 PM] [General] [Info] Extension:Startup timing: 119ms
[3:24:13 PM] [General] [Info] Found 0 folders requiring "pub get":
[3:24:13 PM] [General] [Info] !! PLEASE REVIEW THIS LOG FOR SENSITIVE INFORMATION BEFORE SHARING !!

Dart Code extension: 3.14.0
Flutter extension: 3.14.0 (activated)

App: Visual Studio Code
Version: 1.48.2
Platform: mac

Workspace type: Flutter
Analyzer type: DAS
Multi-root?: false

Dart SDK:
Loc: /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/bin/cache/dart-sdk
Ver: 2.7.2
Flutter SDK:
Loc: /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9
Ver: 1.12.13+hotfix.9

HTTP_PROXY: undefined
NO_PROXY: undefined
[3:24:13 PM] [General] [Info] Analyzer:Startup timing: 433ms
[3:24:17 PM] [General] [Info] Analyzer:FirstAnalysis timing: 2367ms
[3:24:19 PM] [General] [Info] Returning cached promise for getSupportedPlatforms()
[3:24:19 PM] [General] [Info] Checking 1 projects for supported platforms
[3:24:19 PM] [General] [Info] Returning cached promise for getSupportedPlatforms()
[3:24:19 PM] [General] [Info] Supported platforms for the workspace are ios, android, web

@DanTup
Copy link
Member

DanTup commented Sep 7, 2020

When I delete the .dart_tool in the project and reload window,it works.

When we look for an SDK, one of the first places we look is the path that's in the .packages file (or .dart_tool/package_config.json). If it finds the wrong SDK when .dart_tool/package_config.json exists, it seems like that file had the wrong SDK path in it.

Can you try deleting the file (so it picks up the right SDK), then running Flutter: Get Packages, then reload and see whether that fixes things? If not, can you check the path to the Flutter package listed in the .dart_tool/package_config.json file?

@DanTup DanTup added the awaiting info Requires more information from the customer to progress label Sep 7, 2020
@voiddog
Copy link
Author

voiddog commented Sep 7, 2020

In the package.json,I found:

{
    {
      "name": "flutter",
      "rootUri": "file:///Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/packages/flutter",
      "packageUri": "lib/",
      "languageVersion": "2.2"
    },
}

And in the log, I found:

[4:00:33 PM] [General] [Info] Searching for flutter
[4:00:33 PM] [General] [Info]     Looking for flutter in:
[4:00:33 PM] [General] [Info]         /Users/qigengxin/Develop/flutter/app_112
[4:00:33 PM] [General] [Info]         /Users/qigengxin/Develop/flutter/app_112/bin
[4:00:33 PM] [General] [Info]         /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/packages/flutter/lib/bin/
....

The current bin directory should be: /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/bin

@DanTup
Copy link
Member

DanTup commented Sep 7, 2020

And in the log, I found:

[4:00:33 PM] [General] [Info]         /Users/qigengxin/fvm/versions/v1.12.13+hotfix.9/packages/flutter/lib/bin/

There's code intended to handle this here:

https://github.com/Dart-Code/Dart-Code/blame/b07c1d3602566c6f15c1c3b1b62e962ddc1daf1b/src/extension/sdk/utils.ts#L413-L417

However it seems like it's failing when we're reading from package_config.json. I'll make a custom build that has some additional logging for you to try and post back shortly, then we can figure out why it's creating the wrong path. Thanks!

@DanTup DanTup added in flutter Relates to running Flutter apps is bug and removed awaiting info Requires more information from the customer to progress labels Sep 7, 2020
@voiddog
Copy link
Author

voiddog commented Sep 7, 2020

Ok! Thanks!

@DanTup DanTup closed this as completed in 3747184 Sep 7, 2020
@DanTup
Copy link
Member

DanTup commented Sep 7, 2020

Could you please try out this build for me:

https://github.com/Dart-Code/Dart-Code/releases/tag/v3.14.1-beta.1

Download the vsix file from that release page, then run the Extension: Install from VSIX command from VS Code, and select the vsix. Then click the Reload button when prompted.

It includes a fix that I think solves this issue (the path we built from the package_config.json was missing a trailing slash, which meant the code above was not working). If not, I've also included additional logging to help understand why.

If this works for you, I'll publish a new stable release with the fix.

Thanks!

@DanTup DanTup added this to the v3.14.1 milestone Sep 7, 2020
@DanTup DanTup changed the title Problem with using with fvm Flutter SDK is no longer located from packages when .dart_tool/package_config.json is used Sep 7, 2020
@voiddog
Copy link
Author

voiddog commented Sep 7, 2020

It works!! Thanks!!!

@DanTup
Copy link
Member

DanTup commented Sep 7, 2020

Great, thanks for confirming! I'll publish a stable release shortly. If you have VS code set to auto-update, it should update to it automatically when it next checks.

@DanTup
Copy link
Member

DanTup commented Sep 7, 2020

The updates are live - you can run the Extensions: Check for Extension Updates command in the command palette to force an update.

@voiddog
Copy link
Author

voiddog commented Sep 7, 2020

Updated! Everything is Fine!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
in flutter Relates to running Flutter apps is bug
Projects
None yet
Development

No branches or pull requests

2 participants